<?php
/**
 * Template part for displaying posts
 * @package WordPress
 * @subpackage lz-cleaning-services
 * @since 1.0
 * @version 1.4
 */

?>
<?php 
  $archive_year  = get_the_time('Y'); 
  $archive_month = get_the_time('m'); 
  $archive_day   = get_the_time('d'); 
?> 
<article id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
  <div class="article_content">
    <div class="metabox"> 
      <span class="entry-author"><i class="fas fa-user"></i><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?></span><span class="screen-reader-text"><?php the_author(); ?></span></a>
      <span class="entry-date"><i class="fas fa-calendar-alt"></i><a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day)); ?>"><?php echo esc_html( get_the_date()); ?></span><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a>
      <span class="entry-comments"><a href="<?php echo esc_url( get_permalink() );?>"><i class="fas fa-comments"></i><?php comments_number( __('0 Comments','lz-cleaning-services'), __('0 Comments','lz-cleaning-services'), __('% Comments','lz-cleaning-services') ); ?></a></span>
    </div>
    <?php if(has_post_thumbnail()) { ?>
      <?php the_post_thumbnail(); ?>  
    <?php }?>
    <h3><?php the_title(); ?></h3>
    <div class="entry-content"><p><?php the_excerpt(); ?></p></div>
    <div class="read-btn">
      <a href="<?php the_permalink();?>" title="<?php esc_attr_e( 'READ MORE', 'lz-cleaning-services' ); ?>"><?php esc_html_e('READ MORE','lz-cleaning-services'); ?>
      </a>
    </div>
    <div class="clearfix"></div> 
  </div>
</article>